Package org.h2.build

# Class BuildBase.StringList

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
java.util.ArrayList<String>
org.h2.build.BuildBase.StringList

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<String>`, `Collection<String>`, `List<String>`, `RandomAccess`

Enclosing class:
  BuildBase

public static class BuildBase.StringList extends ArrayList<String>
A list of strings.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`array()`
Convert this list to a string array.
`BuildBase.StringList`
`plus(String... args)`
Add a list of strings.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream, toArray`

### Methods inherited from interface java.util.List

`containsAll`

## Method Details

### plus

public BuildBase.StringList plus(String... args)
Add a list of strings.

Parameters:
  `args` - the list to add
Returns:
  the new list

### array

public String[] array()
Convert this list to a string array.

Returns:
  the string array